input {
  overflow: visible;
}

[type=text],
[type=search],
[type=tel],
[type=url],
[type=email],
[type=password],
[type=date],
[type=time],
[type=number],
[type=file] {
  padding: 12px;
  padding: 0.75rem;
  text-transform: none;
  background-color: #EFECF5;
  border-radius: 10px;
  box-shadow: none;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  border: 2px solid transparent;
  transition: border-color 0.3s ease-out;
}
[type=text]:hover,
[type=search]:hover,
[type=tel]:hover,
[type=url]:hover,
[type=email]:hover,
[type=password]:hover,
[type=date]:hover,
[type=time]:hover,
[type=number]:hover,
[type=file]:hover {
  border: 2px solid #5B4099;
}
[type=text]:focus,
[type=search]:focus,
[type=tel]:focus,
[type=url]:focus,
[type=email]:focus,
[type=password]:focus,
[type=date]:focus,
[type=time]:focus,
[type=number]:focus,
[type=file]:focus {
  border: 2px solid #5B4099;
  outline: 0;
}

input.black-button {
  padding: 12px 24px;
  padding: 0.75rem 1.5rem;
  margin-right: 12px;
  margin-right: 0.75rem;
  display: inline-block;
  border: 0px;
  border-radius: 40px;
  font-size: 13px;
  font-size: 0.8125rem;
  line-height: 18px;
  line-height: 1.125rem;
  text-transform: uppercase;
  font-weight: 600;
  background-color: #5B4099;
  color: #FFFFFF;
  cursor: pointer;
}
input.black-button:hover, input.black-button:focus {
  border-radius: 40px !important;
  background-color: #1C1C1C !important;
  color: #FFFFFF !important;
}

input.green-button {
  padding: 12px 24px;
  padding: 0.75rem 1.5rem;
  border-color: #5B4099;
  background-color: #5B4099;
  color: #FFFFFF;
  border-radius: 0px;
  font-size: 13px;
  font-size: 0.8125rem;
  line-height: 18px;
  line-height: 1.125rem;
  text-transform: uppercase;
  font-weight: 600;
  cursor: pointer;
  transition: color 0.3s ease-out, border-color 0.3s ease-out, background-color 0.3s ease-out;
}
input.green-button:hover, input.green-button:focus {
  border-color: #5B4099 !important;
  background-color: #FFFFFF !important;
  color: #5B4099 !important;
  border-radius: 0px !important;
}

input.white-button {
  font-family: "Outfit", Verdana, Tahoma, "DejaVu Sans", sans-serif;
  font-size: 20px;
  font-size: 1.25rem;
  line-height: 20px;
  line-height: 1.25rem;
  padding: 12px 40px;
  padding: 0.75rem 2.5rem;
  font-weight: 500;
  border-radius: 10px;
  border: 1px solid #00A651;
  background-color: #FFFFFF;
  color: #00A651;
  cursor: pointer;
  transition: color 0.3s ease-out, border-color 0.3s ease-out, background-color 0.3s ease-out;
}
input.white-button:hover, input.white-button:focus {
  border-color: #00A651 !important;
  background-color: #00A651 !important;
  color: #FFFFFF !important;
  border-radius: 10px !important;
}

input.magenta-button {
  font-family: "Outfit", Verdana, Tahoma, "DejaVu Sans", sans-serif;
  padding: 8px 40px;
  padding: 0.5rem 2.5rem;
  font-size: 18px;
  font-size: 1.125rem;
  line-height: 28px;
  line-height: 1.75rem;
  font-weight: 500;
  border-radius: 200px;
  border: 1px solid #9C248A;
  background-color: #9C248A;
  color: #FFFFFF;
  cursor: pointer;
  transition: color 0.3s ease-out, border-color 0.3s ease-out, background-color 0.3s ease-out;
}
@media (min-width: 992px) {
  input.magenta-button {
    font-size: 22px;
    font-size: 1.375rem;
    line-height: 32px;
    line-height: 2rem;
  }
}
input.magenta-button:hover, input.magenta-button:focus {
  border-color: #00A651 !important;
  background-color: #00A651 !important;
  color: #FFFFFF !important;
  border-radius: 200px !important;
}
